SUMMARY = "Initialize the system for FOFB application"
SECTION = "opt"
LICENSE = "MIT"
LIC_FILES_CHKSUM = "file://${COMMON_LICENSE_DIR}/MIT;md5=0835ade698e0bcf8506ecda2f7b4f302"

# This will add startup scripts
INITSCRIPT_NAME = "fofb-init.sh"
INITSCRIPT_PARAMS = "defaults 50 2"
inherit update-rc.d

SRC_URI = " file://fofb-init.sh"
SRC_URI += " file://configuration"
SRC_URI += " file://config_register"
SRC_URI += " file://fpgaversion.sh"
SRC_URI += " file://fofb-configurator.py"

RDEPENDS_${PN}=" fpga-manager-script bash"

FILES_${PN}+="/etc/init.d/fofb-init.sh"
FILES_${PN}+="/usr/bin/fpgaversion"
FILES_${PN}+="/usr/bin/fofb-configurator"
FILES_${PN}+="/opt/fofb/cfg/configuration"
FILES_${PN}+="/opt/fofb/cfg/config_register"


do_install() {
    install -d ${D}/etc/init.d/
    install -m 0755 ${WORKDIR}/fofb-init.sh ${D}/etc/init.d/fofb-init.sh

    # Write default configuration
    install -d ${D}/opt/fofb/cfg/
    install -m 0666 ${WORKDIR}/configuration ${D}/opt/fofb/cfg/configuration
    install -m 0666 ${WORKDIR}/config_register ${D}/opt/fofb/cfg/config_register

    # Add FPGA version reader and FoFb Configurator
    install -d ${D}/usr/bin/
    install -m 0755 ${WORKDIR}/fpgaversion.sh ${D}/usr/bin/fpgaversion
    install -m 0755 ${WORKDIR}/fofb-configurator.py ${D}/usr/bin/fofb-configurator
}
